//servo inputs
int SteerIn = 5;
int ThrotIn = 6;

//servo variables
int steering = 0;
int throttle = 0;
//steering points
int SteerMax = 1850;
int SteerMin = 1200;
//throttle points
int ThrotZeroPos = 1520;
int ThrotZeroRange = 19;
//Boolean indicators
int ThrotZero = 0;
boolean incremented = false;
//light sequence position
int lights = 0;
//outputs
int nav = 11;
int search = 12;
int inside = 13;

//#include <EEPROM.h>


void setup(){
  pinMode(SteerIn, INPUT);
  pinMode(ThrotIn, INPUT);
  pinMode(nav, OUTPUT);
  pinMode(search,OUTPUT);
  pinMode(inside,OUTPUT);
  ThrotZeroPos = pulseIn(ThrotIn, HIGH, 25000);
  if(ThrotZeroPos == 0){
    calibrate();
  }
}
void calibrate(){
  digitalWrite(nav,HIGH);
  while(ThrotZeroPos == 0){
    ThrotZeroPos = pulseIn(ThrotIn, HIGH, 25000);
  }
  digitalWrite(search,HIGH);
  delay(2000);
  SteerMax = (pulseIn(SteerIn, HIGH, 25000) - 15);
  digitalWrite(search,LOW);
  digitalWrite(inside,HIGH);
  delay(2000);
  SteerMin = (pulseIn(SteerIn, HIGH,25000) + 15);
  digitalWrite(inside,LOW);
  digitalWrite(nav, LOW);
}

void loop(){
  throttle = pulseIn(ThrotIn, HIGH, 25000);
  steering = pulseIn(SteerIn, HIGH, 25000);
  if(((ThrotZeroPos+ThrotZeroRange)>throttle)&&(throttle>(ThrotZeroPos-ThrotZeroRange))){
    ThrotZero = 1;
  }
  else{
    ThrotZero = 0;
  }
  if((ThrotZero==1)&&(steering>SteerMax)&&(lights<7)&&(incremented==false)){
    lights = ++lights;
    incremented = true;
  }
  if((ThrotZero==1)&&(steering<SteerMin)&&(lights>0)&&(incremented==false)){
    lights = --lights;
    incremented = true;  
  }
  if((ThrotZero==1)&&(steering>SteerMin)&&(steering<SteerMax)){
    incremented = false;  
  }
  digitalWrite(nav,(lights&B001));
  digitalWrite(search,(lights&B010));
  digitalWrite(inside,(lights&B100));
}

